Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVolumeMapper Class Reference

`#include <vtkVolumeMapper.h>`

Inheritance diagram for vtkVolumeMapper:

[legend]
Collaboration diagram for vtkVolumeMapper:

[legend]
List of all members.

## Detailed Description

Abstract class for a volume mapper.

Date:
  2003/03/07 16:15:52

Revision:
  1.59.12.1

vtkVolumeMapper is the abstract definition of a volume mapper. Several basic types of volume mappers are supported. There are ray casters, which produce an image that must be merged with geometry, there are hardware methods that blend with geometry, and some combinations of these.

See also:
  vtkVolumeRayCastMapper

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (67%)
  - Schroeder, Will (8%)
  - Martin, Ken (7%)
  - Barre, Sebastien (5%)
  - Miller, Jim (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkVolumeMapper.cxx)`
  - .`h` (`/Rendering/vtkVolumeMapper.h)`

Definition at line 64 of file vtkVolumeMapper.h.

## Public Types
typedef vtkAbstractMapper3D | Superclass
enum | ComponentBlendModes { ComponentBlendAdd = 0, ComponentBlendMaxOpacity }
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Update ()
virtual void | Render (vtkRenderer *ren, vtkVolume *vol)=0
virtual void | ReleaseGraphicsResources (vtkWindow *)
virtual void | SetInput (vtkImageData *)
vtkImageData * | GetInput ()
virtual void | SetIndependentComponents (int)
virtual int | GetIndependentComponents ()
virtual void | IndependentComponentsOn ()
virtual void | IndependentComponentsOff ()
virtual void | SetComponentBlendMode (int)
virtual int | GetComponentBlendMode ()
void | SetComponentBlendModeToAdd ()
void | SetComponentBlendModeToMaxOpacity ()
virtual void | SetCropping (int)
virtual int | GetCropping ()
virtual void | CroppingOn ()
virtual void | CroppingOff ()
virtual void | SetCroppingRegionPlanes (float, float, float, float, float, float)
virtual void | SetCroppingRegionPlanes (float[6])
virtual float * | GetCroppingRegionPlanes ()
virtual void | GetCroppingRegionPlanes (float data[6])
virtual float * | GetVoxelCroppingRegionPlanes ()
virtual void | GetVoxelCroppingRegionPlanes (float data[6])
virtual void | SetCroppingRegionFlags (int)
virtual int | GetCroppingRegionFlags ()
void | SetCroppingRegionFlagsToSubVolume ()
void | SetCroppingRegionFlagsToFence ()
void | SetCroppingRegionFlagsToInvertedFence ()
void | SetCroppingRegionFlagsToCross ()
void | SetCroppingRegionFlagsToInvertedCross ()
virtual float * | GetBounds ()
virtual void | GetBounds (float bounds[6])
virtual float | GetGradientMagnitudeScale ()
virtual float | GetGradientMagnitudeBias ()
virtual float | GetGradientMagnitudeScale (int)
virtual float | GetGradientMagnitudeBias (int)
virtual void | SetUseImageClipper (int)
virtual int | GetUseImageClipper ()
virtual void | UseImageClipperOn ()
virtual void | UseImageClipperOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkVolumeMapper * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkVolumeMapper ()
| ~vtkVolumeMapper ()
void | ConvertCroppingRegionPlanesToVoxels ()
## Protected Attributes
int | Cropping
float | CroppingRegionPlanes [6]
float | VoxelCroppingRegionPlanes [6]
int | CroppingRegionFlags
int | IndependentComponents
int | ComponentBlendMode
vtkTimeStamp | BuildTime
int | UseImageClipper
vtkImageClip * | ImageClipper

## Member Typedef Documentation

typedef vtkAbstractMapper3D vtkVolumeMapper::Superclass

| Reimplemented from vtkAbstractMapper3D. Reimplemented in vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, and vtkVolumeTextureMapper2D. Definition at line 67 of file vtkVolumeMapper.h.

## Member Enumeration Documentation

enum vtkVolumeMapper::ComponentBlendModes

  | Enumeration values:
  ComponentBlendAdd |
  ComponentBlendMaxOpacity |
Definition at line 192 of file vtkVolumeMapper.h.

## Constructor & Destructor Documentation

vtkVolumeMapper::vtkVolumeMapper | ( |  | ) | `[protected]`

vtkVolumeMapper::~vtkVolumeMapper | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkVolumeMapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkAbstractMapper3D. Reimplemented in vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, and vtkVolumeTextureMapper2D.

int vtkVolumeMapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkAbstractMapper3D. Reimplemented in vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, and vtkVolumeTextureMapper2D.

virtual int vtkVolumeMapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkAbstractMapper3D. Reimplemented in vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, and vtkVolumeTextureMapper2D.

vtkVolumeMapper* vtkVolumeMapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkAbstractMapper3D. Reimplemented in vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, and vtkVolumeTextureMapper2D.

void vtkVolumeMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkAbstractMapper3D. Reimplemented in vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, and vtkVolumeTextureMapper2D.

virtual void vtkVolumeMapper::Update | ( |  | ) | `[virtual]`

| Update the volume rendering pipeline by updating the scalar input Implements vtkAbstractMapper3D. Reimplemented in vtkVolumeTextureMapper.

virtual void vtkVolumeMapper::SetInput | ( | vtkImageData * |  | ) | `[virtual]`

| Set/Get the input data

vtkImageData* vtkVolumeMapper::GetInput | ( |  | ) |

| Set/Get the input data

virtual void vtkVolumeMapper::SetIndependentComponents | ( | int |  | ) | `[virtual]`

| Does the data have independent components, or do some define color only? If IndependentComponents is On (the default) then each component will be independently passed through a lookup table to determine RGBA, shaded, and then combined with the other components using the ComponentBlendMode. Some volume Mappers can handle 1 to 4 component unsigned char or unsigned short data (see each mapper header file to determine functionality). If IndependentComponents is Off, then you must have either 2 or 4 componenet data. For 2 component data, the first is passed through the first color tranfser function and the second component is passed through the first opacity transfer function. Normals will be generated off of the second component. For 4 component data, the first three will directly represent RGB (no lookup table). The fourth component will be passed through the first scalar opacity transfer function for opacity. Normals will be generated from the fourth component.

virtual int vtkVolumeMapper::GetIndependentComponents | ( |  | ) | `[virtual]`

| Does the data have independent components, or do some define color only? If IndependentComponents is On (the default) then each component will be independently passed through a lookup table to determine RGBA, shaded, and then combined with the other components using the ComponentBlendMode. Some volume Mappers can handle 1 to 4 component unsigned char or unsigned short data (see each mapper header file to determine functionality). If IndependentComponents is Off, then you must have either 2 or 4 componenet data. For 2 component data, the first is passed through the first color tranfser function and the second component is passed through the first opacity transfer function. Normals will be generated off of the second component. For 4 component data, the first three will directly represent RGB (no lookup table). The fourth component will be passed through the first scalar opacity transfer function for opacity. Normals will be generated from the fourth component.

virtual void vtkVolumeMapper::IndependentComponentsOn | ( |  | ) | `[virtual]`

| Does the data have independent components, or do some define color only? If IndependentComponents is On (the default) then each component will be independently passed through a lookup table to determine RGBA, shaded, and then combined with the other components using the ComponentBlendMode. Some volume Mappers can handle 1 to 4 component unsigned char or unsigned short data (see each mapper header file to determine functionality). If IndependentComponents is Off, then you must have either 2 or 4 componenet data. For 2 component data, the first is passed through the first color tranfser function and the second component is passed through the first opacity transfer function. Normals will be generated off of the second component. For 4 component data, the first three will directly represent RGB (no lookup table). The fourth component will be passed through the first scalar opacity transfer function for opacity. Normals will be generated from the fourth component.

virtual void vtkVolumeMapper::IndependentComponentsOff | ( |  | ) | `[virtual]`

| Does the data have independent components, or do some define color only? If IndependentComponents is On (the default) then each component will be independently passed through a lookup table to determine RGBA, shaded, and then combined with the other components using the ComponentBlendMode. Some volume Mappers can handle 1 to 4 component unsigned char or unsigned short data (see each mapper header file to determine functionality). If IndependentComponents is Off, then you must have either 2 or 4 componenet data. For 2 component data, the first is passed through the first color tranfser function and the second component is passed through the first opacity transfer function. Normals will be generated off of the second component. For 4 component data, the first three will directly represent RGB (no lookup table). The fourth component will be passed through the first scalar opacity transfer function for opacity. Normals will be generated from the fourth component.

virtual void vtkVolumeMapper::SetComponentBlendMode | ( | int |  | ) | `[virtual]`

| If we have more than 1 independent components, how will the resulting RGBA values be combined? Add: R = R1 + R2, G = G1 + G2, B = B1 + B2, A = A1 + A2 MaxOpacity: A1 >= A2 then R = R1, G = G1, B = B1, A = A1 A2 > A1 then R = R2, G = G2, B = B2, A = A2

virtual int vtkVolumeMapper::GetComponentBlendMode | ( |  | ) | `[virtual]`

| If we have more than 1 independent components, how will the resulting RGBA values be combined? Add: R = R1 + R2, G = G1 + G2, B = B1 + B2, A = A1 + A2 MaxOpacity: A1 >= A2 then R = R1, G = G1, B = B1, A = A1 A2 > A1 then R = R2, G = G2, B = B2, A = A2

void vtkVolumeMapper::SetComponentBlendModeToAdd | ( |  | ) | `[inline]`

| If we have more than 1 independent components, how will the resulting RGBA values be combined? Add: R = R1 + R2, G = G1 + G2, B = B1 + B2, A = A1 + A2 MaxOpacity: A1 >= A2 then R = R1, G = G1, B = B1, A = A1 A2 > A1 then R = R2, G = G2, B = B2, A = A2 Definition at line 109 of file vtkVolumeMapper.h. References ComponentBlendAdd.

void vtkVolumeMapper::SetComponentBlendModeToMaxOpacity | ( |  | ) | `[inline]`

| If we have more than 1 independent components, how will the resulting RGBA values be combined? Add: R = R1 + R2, G = G1 + G2, B = B1 + B2, A = A1 + A2 MaxOpacity: A1 >= A2 then R = R1, G = G1, B = B1, A = A1 A2 > A1 then R = R2, G = G2, B = B2, A = A2 Definition at line 111 of file vtkVolumeMapper.h. References ComponentBlendMaxOpacity.

virtual void vtkVolumeMapper::SetCropping | ( | int |  | ) | `[virtual]`

| Turn On/Off orthogonal cropping. (Clipping planes are perpendicular to the coordinate axes.)

virtual int vtkVolumeMapper::GetCropping | ( |  | ) | `[virtual]`

| Turn On/Off orthogonal cropping. (Clipping planes are perpendicular to the coordinate axes.)

virtual void vtkVolumeMapper::CroppingOn | ( |  | ) | `[virtual]`

| Turn On/Off orthogonal cropping. (Clipping planes are perpendicular to the coordinate axes.)

virtual void vtkVolumeMapper::CroppingOff | ( |  | ) | `[virtual]`

| Turn On/Off orthogonal cropping. (Clipping planes are perpendicular to the coordinate axes.)

virtual void vtkVolumeMapper::SetCroppingRegionPlanes | ( | float | ,
|  | float | ,
|  | float | ,
|  | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the Cropping Region Planes ( xmin, xmax, ymin, ymax, zmin, zmax ) These planes are defined in volume coordinates - spacing and origin are considered.

virtual void vtkVolumeMapper::SetCroppingRegionPlanes | ( | float | [6] | ) | `[virtual]`

| Set/Get the Cropping Region Planes ( xmin, xmax, ymin, ymax, zmin, zmax ) These planes are defined in volume coordinates - spacing and origin are considered.

virtual float* vtkVolumeMapper::GetCroppingRegionPlanes | ( |  | ) | `[virtual]`

| Set/Get the Cropping Region Planes ( xmin, xmax, ymin, ymax, zmin, zmax ) These planes are defined in volume coordinates - spacing and origin are considered.

virtual void vtkVolumeMapper::GetCroppingRegionPlanes | ( | float | data[6] | ) | `[virtual]`

| Set/Get the Cropping Region Planes ( xmin, xmax, ymin, ymax, zmin, zmax ) These planes are defined in volume coordinates - spacing and origin are considered.

virtual float* vtkVolumeMapper::GetVoxelCroppingRegionPlanes | ( |  | ) | `[virtual]`

| Get the cropping region planes in voxels. Only valid during the rendering process

virtual void vtkVolumeMapper::GetVoxelCroppingRegionPlanes | ( | float | data[6] | ) | `[virtual]`

| Get the cropping region planes in voxels. Only valid during the rendering process

virtual void vtkVolumeMapper::SetCroppingRegionFlags | ( | int |  | ) | `[virtual]`

| Set the flags for the cropping regions. The clipping planes divide the volume into 27 regions - there is one bit for each region. The regions start from the one containing voxel (0,0,0), moving along the x axis fastest, the y axis next, and the z axis slowest. These are represented from the lowest bit to bit number 27 in the integer containing the flags. There are several convenience functions to set some common configurations - subvolume (the default), fence (between any of the clip plane pairs), inverted fence, cross (between any two of the clip plane pairs) and inverted cross.

virtual int vtkVolumeMapper::GetCroppingRegionFlags | ( |  | ) | `[virtual]`

| Set the flags for the cropping regions. The clipping planes divide the volume into 27 regions - there is one bit for each region. The regions start from the one containing voxel (0,0,0), moving along the x axis fastest, the y axis next, and the z axis slowest. These are represented from the lowest bit to bit number 27 in the integer containing the flags. There are several convenience functions to set some common configurations - subvolume (the default), fence (between any of the clip plane pairs), inverted fence, cross (between any two of the clip plane pairs) and inverted cross.

void vtkVolumeMapper::SetCroppingRegionFlagsToSubVolume | ( |  | ) | `[inline]`

| Set the flags for the cropping regions. The clipping planes divide the volume into 27 regions - there is one bit for each region. The regions start from the one containing voxel (0,0,0), moving along the x axis fastest, the y axis next, and the z axis slowest. These are represented from the lowest bit to bit number 27 in the integer containing the flags. There are several convenience functions to set some common configurations - subvolume (the default), fence (between any of the clip plane pairs), inverted fence, cross (between any two of the clip plane pairs) and inverted cross. Definition at line 151 of file vtkVolumeMapper.h. References VTK_CROP_SUBVOLUME.

void vtkVolumeMapper::SetCroppingRegionFlagsToFence | ( |  | ) | `[inline]`

| Set the flags for the cropping regions. The clipping planes divide the volume into 27 regions - there is one bit for each region. The regions start from the one containing voxel (0,0,0), moving along the x axis fastest, the y axis next, and the z axis slowest. These are represented from the lowest bit to bit number 27 in the integer containing the flags. There are several convenience functions to set some common configurations - subvolume (the default), fence (between any of the clip plane pairs), inverted fence, cross (between any two of the clip plane pairs) and inverted cross. Definition at line 153 of file vtkVolumeMapper.h. References VTK_CROP_FENCE.

void vtkVolumeMapper::SetCroppingRegionFlagsToInvertedFence | ( |  | ) | `[inline]`

| Set the flags for the cropping regions. The clipping planes divide the volume into 27 regions - there is one bit for each region. The regions start from the one containing voxel (0,0,0), moving along the x axis fastest, the y axis next, and the z axis slowest. These are represented from the lowest bit to bit number 27 in the integer containing the flags. There are several convenience functions to set some common configurations - subvolume (the default), fence (between any of the clip plane pairs), inverted fence, cross (between any two of the clip plane pairs) and inverted cross. Definition at line 155 of file vtkVolumeMapper.h. References VTK_CROP_INVERTED_FENCE.

void vtkVolumeMapper::SetCroppingRegionFlagsToCross | ( |  | ) | `[inline]`

| Set the flags for the cropping regions. The clipping planes divide the volume into 27 regions - there is one bit for each region. The regions start from the one containing voxel (0,0,0), moving along the x axis fastest, the y axis next, and the z axis slowest. These are represented from the lowest bit to bit number 27 in the integer containing the flags. There are several convenience functions to set some common configurations - subvolume (the default), fence (between any of the clip plane pairs), inverted fence, cross (between any two of the clip plane pairs) and inverted cross. Definition at line 157 of file vtkVolumeMapper.h. References VTK_CROP_CROSS.

void vtkVolumeMapper::SetCroppingRegionFlagsToInvertedCross | ( |  | ) | `[inline]`

| Set the flags for the cropping regions. The clipping planes divide the volume into 27 regions - there is one bit for each region. The regions start from the one containing voxel (0,0,0), moving along the x axis fastest, the y axis next, and the z axis slowest. These are represented from the lowest bit to bit number 27 in the integer containing the flags. There are several convenience functions to set some common configurations - subvolume (the default), fence (between any of the clip plane pairs), inverted fence, cross (between any two of the clip plane pairs) and inverted cross. Definition at line 159 of file vtkVolumeMapper.h. References VTK_CROP_INVERTED_CROSS.

virtual float* vtkVolumeMapper::GetBounds | ( |  | ) | `[virtual]`

| Return bounding box (array of six floats) of data expressed as (xmin,xmax, ymin,ymax, zmin,zmax). Implements vtkAbstractMapper3D.

virtual void vtkVolumeMapper::GetBounds | ( | float | bounds[6] | ) | `[inline, virtual]`

| Return bounding box (array of six floats) of data expressed as (xmin,xmax, ymin,ymax, zmin,zmax). Reimplemented from vtkAbstractMapper3D. Definition at line 167 of file vtkVolumeMapper.h. References vtkAbstractMapper3D::GetBounds().

virtual float vtkVolumeMapper::GetGradientMagnitudeScale | ( |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Reimplemented in vtkVolumeRayCastMapper, and vtkVolumeTextureMapper. Definition at line 175 of file vtkVolumeMapper.h. Referenced by vtkVolumeTextureMapper::GetGradientMagnitudeScale(), and vtkVolumeRayCastMapper::GetGradientMagnitudeScale().

virtual float vtkVolumeMapper::GetGradientMagnitudeBias | ( |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Reimplemented in vtkVolumeRayCastMapper, and vtkVolumeTextureMapper. Definition at line 176 of file vtkVolumeMapper.h. Referenced by vtkVolumeTextureMapper::GetGradientMagnitudeBias(), and vtkVolumeRayCastMapper::GetGradientMagnitudeBias().

virtual float vtkVolumeMapper::GetGradientMagnitudeScale | ( | int |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Reimplemented in vtkVolumeRayCastMapper, and vtkVolumeTextureMapper. Definition at line 177 of file vtkVolumeMapper.h.

virtual float vtkVolumeMapper::GetGradientMagnitudeBias | ( | int |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Reimplemented in vtkVolumeRayCastMapper, and vtkVolumeTextureMapper. Definition at line 178 of file vtkVolumeMapper.h.

virtual void vtkVolumeMapper::Render | ( | vtkRenderer * | ren,
|  | vtkVolume * | vol
| ) | `[pure virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Render the volume Implemented in vtkMesaVolumeTextureMapper2D, vtkOpenGLVolumeTextureMapper2D, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, and vtkVolumeTextureMapper2D.

virtual void vtkVolumeMapper::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Release any graphics resources that are being consumed by this mapper. The parameter window could be used to determine which graphic resources to release. Reimplemented from vtkAbstractMapper. Reimplemented in vtkVolumeRayCastMapper. Definition at line 190 of file vtkVolumeMapper.h.

virtual void vtkVolumeMapper::SetUseImageClipper | ( | int |  | ) | `[virtual]`

| The default behaviour is to use a vtkImageClip on the input to ensure it is the right size. Allow the user to turn that behaviour off.

virtual int vtkVolumeMapper::GetUseImageClipper | ( |  | ) | `[virtual]`

| The default behaviour is to use a vtkImageClip on the input to ensure it is the right size. Allow the user to turn that behaviour off.

virtual void vtkVolumeMapper::UseImageClipperOn | ( |  | ) | `[virtual]`

| The default behaviour is to use a vtkImageClip on the input to ensure it is the right size. Allow the user to turn that behaviour off.

virtual void vtkVolumeMapper::UseImageClipperOff | ( |  | ) | `[virtual]`

| The default behaviour is to use a vtkImageClip on the input to ensure it is the right size. Allow the user to turn that behaviour off.

void vtkVolumeMapper::ConvertCroppingRegionPlanesToVoxels | ( |  | ) | `[protected]`

## Member Data Documentation

int vtkVolumeMapper::Cropping`[protected]`

| Definition at line 213 of file vtkVolumeMapper.h.

float vtkVolumeMapper::CroppingRegionPlanes[6]`[protected]`

| Definition at line 214 of file vtkVolumeMapper.h.

float vtkVolumeMapper::VoxelCroppingRegionPlanes[6]`[protected]`

| Definition at line 215 of file vtkVolumeMapper.h.

int vtkVolumeMapper::CroppingRegionFlags`[protected]`

| Definition at line 216 of file vtkVolumeMapper.h.

int vtkVolumeMapper::IndependentComponents`[protected]`

| Definition at line 220 of file vtkVolumeMapper.h.

int vtkVolumeMapper::ComponentBlendMode`[protected]`

| Definition at line 223 of file vtkVolumeMapper.h.

vtkTimeStamp vtkVolumeMapper::BuildTime`[protected]`

| Definition at line 225 of file vtkVolumeMapper.h.

int vtkVolumeMapper::UseImageClipper`[protected]`

| Definition at line 228 of file vtkVolumeMapper.h.

vtkImageClip* vtkVolumeMapper::ImageClipper`[protected]`

| Definition at line 229 of file vtkVolumeMapper.h.

The documentation for this class was generated from the following file:

- Rendering/vtkVolumeMapper.h